//---------------------------------------------------------------------------
#ifndef drawH
#define drawH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <GL/gl.h>
#include <GL/glu.h>
#include <time.h>
#include <stdlib.h>

//---------------------------------------------------------------------------
struct CPoint
{
 double x,y;
};

class TOpenGL_Form : public TForm
{
__published:	// IDE-managed Components
	TTimer *Timer1;
        TPanel *DrawPanel;
        TPanel *Panel1;
        TTimer *Timer2;
        TButton *Button1;
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall DrawPanelResize(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Timer2Timer(TObject *Sender);
private:	// User declarations
	void DrawScene();

        GLvoid initializeGL(GLsizei width, GLsizei height);
        GLvoid resize( GLsizei width, GLsizei height );
        HGLRC ghRC;
        HDC   ghDC;
        CPoint *Data;
        time_t beginTime;
        int PointsNUM;
        int  VisibleTime;
        void AddData();
public:		// User declarations
	__fastcall TOpenGL_Form(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TOpenGL_Form *OpenGL_Form;
//---------------------------------------------------------------------------
#endif
